Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.io
Class NonshareableCountingBufferedOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.ka2ddo.yaac.io.NonshareableCountingBufferedOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public final class NonshareableCountingBufferedOutputStream

extends java.io.FilterOutputStream

This class is a duplicate of java.io.BufferedOutputStream, except that its methods are not synchronized, limiting its use to a single thread.

See Also:
  `BufferedOutputStream`

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`NonshareableCountingBufferedOutputStream(java.io.OutputStream out)` Creates a new buffered output stream to write data to the specified underlying output stream.
`NonshareableCountingBufferedOutputStream(java.io.OutputStream out, byte[] buf)` Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer.
`NonshareableCountingBufferedOutputStream(java.io.OutputStream out, int size)` Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer size.

Method Summary
`void` | `flush()` Flushes this buffered output stream.
`long` | `getBytesWritten()`
`void` | `resetBytesWritten()`
`void` | `write(byte[] b)` Writes `b.length` bytes to this output stream.
`void` | `write(byte[] b, int off, int len)` Writes `len` bytes from the specified byte array starting at offset `off` to this buffered output stream.
`void` | `write(int b)` Writes the specified byte to this buffered output stream.

Methods inherited from class java.io.FilterOutputStream
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonshareableCountingBufferedOutputStream

    public NonshareableCountingBufferedOutputStream(java.io.OutputStream out)

  Creates a new buffered output stream to write data to the specified underlying output stream.

  Parameters:
    `out` - the underlying output stream.

### NonshareableCountingBufferedOutputStream

    public NonshareableCountingBufferedOutputStream(java.io.OutputStream out,
                                                    int size)

  Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer size.

  Parameters:
    `out` - the underlying output stream.
    `size` - the buffer size.
  Throws:
    `java.lang.IllegalArgumentException` - if size <= 0.

### NonshareableCountingBufferedOutputStream

    public NonshareableCountingBufferedOutputStream(java.io.OutputStream out,
                                                    byte[] buf)

  Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer.

  Parameters:
    `out` - the underlying output stream.
    `buf` - the buffer to use
  Throws:
    `java.lang.IllegalArgumentException` - if size <= 0.

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Writes the specified byte to this buffered output stream.

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `b` - the byte to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### write

    public void write(byte[] b)
               throws java.io.IOException

  Writes `b.length` bytes to this output stream.

  The `write` method of `FilterOutputStream` calls its `write` method of three arguments with the arguments `b`, `0`, and `b.length`.

  Note that this method does not call the one-argument `write` method of its underlying stream with the single argument `b`.

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `b` - the data to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.write(byte[], int, int)`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Writes `len` bytes from the specified byte array starting at offset `off` to this buffered output stream.

  Ordinarily this method stores bytes from the given array into this stream's buffer, flushing the buffer to the underlying output stream as needed. If the requested length is at least as large as this stream's buffer, however, then this method will flush the buffer and write the bytes directly to the underlying output stream. Thus redundant `BufferedOutputStream`s will not copy data unnecessarily.

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `b` - the data.
    `off` - the start offset in the data.
    `len` - the number of bytes to write.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### flush

    public void flush()
               throws java.io.IOException

  Flushes this buffered output stream. This forces any buffered output bytes to be written out to the underlying output stream.

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### getBytesWritten

    public long getBytesWritten()

### resetBytesWritten

    public void resetBytesWritten()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD